commit 152d7f3992fc0982006f7024589c1491feb273ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 22:49:23 2015 -0700

    xcmsdb 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa02eb3d4f0c5722b8f9012ec08512daa7420184
Author: Erkki Seppälä <erkki.seppala@vincit.fi>
Date:   Sun Jan 4 12:51:10 2015 -0800

    _XcmsGetProperty: don't deal with uninitialized values, fail instead
    
    Import commit 502d414118c97d35a44f8e295709682022876331 from the
    master copy of this code in libX11.
    
    Signed-off-by: Erkki Seppälä <erkki.seppala@vincit.fi>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 88135312d0cdfd624dfdd029539959849302a1f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 3 14:56:48 2015 -0800

    Only use results from GetWindowProperty if it returned Success
    
    Since Xlib prior to 1.6 didn't always clear values on failure, don't
    assume they're safe to use unless we succeeded.
    
    Reported by Oracle Parfait 1.5.1:
    Error: Uninitialised memory
       Uninitialised memory variable (CWE 457): Possible access to uninitialised memory variable 'ret_format'
            at line 743 of app/xcmsdb/xcmsdb.c in function 'RemoveSCCData'.
              ret_format allocated at line 733.
            at line 757 of app/xcmsdb/xcmsdb.c in function 'RemoveSCCData'.
              ret_format allocated at line 733.
       Uninitialised memory variable (CWE 457): Possible access to uninitialised memory variable 'ret_prop'
            at line 748 of app/xcmsdb/xcmsdb.c in function 'RemoveSCCData'.
              ret_prop allocated at line 731.
            at line 762 of app/xcmsdb/xcmsdb.c in function 'RemoveSCCData'.
              ret_prop allocated at line 731.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 09bb2c8287e6cafc7acb8e1680ce7b0cc5e36a3d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 31 10:20:07 2014 -0800

    Strip trailing whitespace from source files
    
    git ls-files | xargs gsed -i 's/[ \t]*$//'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1a67ecc569db633a43cf2bbd7c5633b4455b4f4b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:14:40 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e083547f90259fe7e855a4fcad1dd22253b7a2d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:14:40 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dee634b8eb0d1777baf48cfc12d892db778be587
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:44:20 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 953e12eab18c50001fcabeac9f3a9008a2858bc1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:39:00 2013 -0800

    Remove break statements immediately after return statements
    
    Silences clang -Wunreachable-code warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c715abbca4885d03e8f9d6b71cf8fb54e5be5667
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:34:01 2013 -0800

    Fix const char * warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 93fcd59757e87cb79db8a98e0379c0a90eddae4c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:26:54 2013 -0800

    Add -version option to print program version
    
    Adds both -version and previously undocumented -help to man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dfd9fa8720cb8001d6569cd8b4d65819ff9d5ba5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:22:38 2013 -0800

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ee59de6b0ab352e22d89edee361af40b85a1c79
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 26 21:13:41 2013 -0800

    Combine usage message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db25a4a75d4a3ea5c904ec63669c47bd5f467d98
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 14 18:39:28 2012 -0800

    xcmsdb 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e7799634dd8149b741583672f9bb75fa2451489
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 21:36:59 2011 -0700

    Dead code removal
    
    loadData.c:1497:2: warning: Value stored to 'token1' is never read
            token1 = token2 = token3 = (char*)NULL;
            ^        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 08c8b7a6ee4232c5a6614b8fc4aac2b337623de0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 19:57:53 2011 -0700

    Improved error handling for corrupt intensity profiles
    
    loadData.c:661:15: warning: Access to field 'value' results in a dereference of a null pointer (loaded from variable 'pIRec')
                                pIRec->value = tmp;
                                ~~~~~  ^
    loadData.c:682:19: warning: The right operand of '>' is a garbage value
                        if (++count > size) {
                                    ^ ~~~~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f872b47cb606d448766c1fa750709fd06a8a6904
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 7 19:48:04 2011 -0700

    Coding style cleanup to appease static analyzer
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7ff5997a990e1c82c723ac08fc2d8a70c4839619
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8b88bdd918413590962fc14a249b8963c183fcb0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 005c3fd93440eb653744ca50da3c02ac40ea1062
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 22d71915e74cbea51d46aaf0922abe4de5ec368f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit b9ddf66b520bfadb3ce65e7d988474e2acfd6048
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 19:03:34 2010 -0700

    xcmsdb 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d279151713bd7f3023ebd24494a8021c7f9b896b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 18:58:16 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0f3e8ddb7ba7b0cd0b07f16a41f38dec47a25f27
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 18:57:04 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4d06455d3b31d1d721805526c4a05f143f7d92ef
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 68ca4762f91601feb8369a54234e2957ca1f9a48
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 08:42:45 2010 -0700

    Add Open Group notice to COPYING for man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d26b362b4172d3e5cc1760d051f480bf9932be5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 21:31:03 2010 -0500

    COPYING: replace stub with actual copyright notice
    
    Refer to xcmsdb.c
    Copyright 1990 Tektronix Inc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 50dfd44f0c1f9e66d8378298580a32d01a3e5fce
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 6038a8d561337d2fd275135dfadb26aa691024e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a0d137251dec348557a33e758f40419955f674ad
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 537a1fdd08991d82f0e6e8e52f2fa80672abbb8d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 0929f650a140ff25ac7f3e337e2784891f851ca4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 14 23:16:12 2009 -0700

    xcmsdb 1.0.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 19d201b8d1661f447bf9c0ce6ee761e3c34661dc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 14 23:11:15 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0590764cd3922620888043dde186619d7e8688b1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:21 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1ff763d1f34c3027969f9f09d3226fc447435c04
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 19:23:43 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 89508e83db03b45a8b1d1a5191084ddb93ea34f8
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:10 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit be13ab935be74f19c4f98c3b51b61154f7da9dcc
Author: walter <wharms@bfs.de>
Date:   Thu Nov 22 17:37:09 2007 -0800

    X.Org Bug #13357: xcmsdb segfaults on xcms.txt
    
    <http://bugs.freedesktop.org/show_bug.cgi?id=13357>

commit 235821c4198dc101cc52c83295dab96c0bcc3e8c
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:17 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit cab0ea9ef7c2d05d2659dff7337f00e47113747e
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:41 2007 -0400

    Rename .cvsignore to .gitignore

commit 78daad2bcf798bd6e5bcfb495b4343e8455997fc
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:48 2005 +0000

    Update package version for X11R7 release.

commit a33a162c915f7385b8f48b7d4929a2d3fc6f4d7b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:42 2005 +0000

    Stub COPYING files

commit 35e4edaa3c87edaa94162bbb4e1f432622955a69
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:05 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d958222d35aca227ef7911c2e2932e1969c5e102
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:20 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 36493b79df32c0b5bc5c641a99ca0d30798a2b30
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:18 2005 +0000

    Update package version number for X11R7 RC3 release.

commit c11f5a3a0f44b6e8cbf0bfcdf9ad874d6e21af04
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:40 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit b85ceb853c042a78d7a9b48959ed02d24505b57b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:59 2005 +0000

    Another pass at .cvsignores for apps.

commit ac026c20643e7d2027cec49929217cdc76fc1d00
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:51 2005 +0000

    Add/improve .cvsignore files for apps.

commit 06f46e63686b043c219be0b80fea765a96485e4d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:52 2005 +0000

    Update package version number for RC1 release.

commit 4438e30eade44b6fb2b3f73f1f292737133c4951
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:21 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 55836b1773cc45cbf172e3daf741e762fc946c69
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:43 2005 +0000

    Use sed to fill in variables in man page

commit 5390e06bb50207203a1e188b27b8eeb1281ea535
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 5f54f305d92a3181d486cf97854997961c7d4977
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:31 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit b2775e434a61617f0d7af4ed758605fa30b5f1fc
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:52 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit bdf7beaadb08e4599d28433a49422825949b8295
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 20:07:41 2005 +0000

    Build system for xcmsdb

commit 946ee35bc34efb4fc3aa1eacf7201e97381c1d6a
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:41 2004 +0000

    Merging XORG-CURRENT into trunk

commit d6f6a730752c355e1c07980cdf0320043b0bf0b8
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:01 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 28a93a124d494cac6408a45a6a618bbf312f67de
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:55 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit d131f6a211a2ee442bab02e5aae3fea157a067dc
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:16 2004 +0000

    readding XFree86's cvs IDs

commit 193d40571385ff202b3254f044838ba210fd3ccf
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:58 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 8f708f1adacba44502ff465cda0c0e3c0a4490b0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:03 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit c68d579b627ff85dbb60061d9befca014d3e5096
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    XFree86 4.3.0.1

commit 71194c9839debbb6c1baaa4d5d8105af39907803
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
